How to install libgconf-2-4 on Ubuntu 23.10

Many applications still use this deprecated package, in this article we will see how to install it on Ubuntu 23.10.

Francesco Pastore
3 min readOct 17, 2023

A new version of Ubuntu has been released, 23.10 “Mantic Minotaur” with many improvements and new features.

As a part of Gnome 45, the new workspace indicator and the App Center were rebuilt in Flutter, also some deprecated packages have been permanently removed from the official repositories.

One of these packages is libgconf-2-4, used to manage Gnome settings and still imported by many applications. In this article, we will see how to install it in Ubuntu 23.10.

One of the official backgrounds for the Mantic Minotaur release

⚠️ Warning

Be careful, installing a deprecated package may cause unexpected behavior in the system. Install this library at your own risk!

Option 1: Script

You can use this script for any amd64 system.

#!/bin/bash

# Downloading packages
wget http://ftp.it.debian.org/debian/pool/main/g/gconf/gconf2_3.2.6-8_amd64.deb
wget http://ftp.it.debian.org/debian/pool/main/g/gconf/libgconf-2-4_3.2.6-8_amd64.deb
wget http://ftp.it.debian.org/debian/pool/main/g/gconf/gconf2-common_3.2.6-8_all.deb
wget…

--

--

Francesco Pastore

An engineering student in Milan and a web developer for an IT company. Write about programming and cybersecurity topics.